Subject: Re: gitoxide-compatible licensing of Git's Rust code, was Re: [PATCH 6/7] xdiff: conditionally use Rust's implementation of xxhash

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 Oct 2025 11:11:46 +0200

On Fri, Oct 03, 2025 at 10:51:47AM +0100, Phillip Wood wrote:
> On 03/10/2025 04:18, Jeff King wrote:
> > That probably needs to be explicitly granted
> > permission to relicense, whether to a specific project or not, and it is
> > hard to pinpoint a definitive author for a lot of it (even if many
> > authors have agreed to relicensing) because it has been touched by so
> > many people over the years.
> > 
> > So there are probably two separate legal issues to consider:
> > 
> >    - how the explicit re-licensing grant is worded
> > 
> >    - what problems may came up with porting existing code that has been
> >      touched by many people
> 
> If we want to seriously consider this we should probably reach out to
> Conservancy for some advice. Did this end up being discussed at the
> Contributor's Summit?

Not really, no, as we didn't have enough time anymore towards the end.

But I agree, seeking advice from the SFC might be helpful in this
context. At least until now I haven't heard from anybody who would be
against the idea itself, excluding the potential re-licensing woes.

Would this be something that the PLC can do? I don't think it makes
sense for random Git folks from the mailing list to approach them.

Cc'ing the PLC.

Patrick